curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/checkout/order \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantTradeNo": "163",
"env": {
"terminalType": "APP"
},
"merchantUserId": 123,
"goods": {
"goodsType": "02",
"goodsName": "Sipariş Ödemesi - 177",
"goodsDetail": "Sipariş No : 160"
},
"chain": "MATIC",
"fullCurrType": "USDT_MATIC"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayId": "65466648727916544",
"orderAmount": "1",
"surchargeAmount": "0",
"currency": "USDT",
"fiatCurrency": "",
"fiatAmount": "",
"terminalType": "APP",
"expireTime": 1677573665219,
"qrContent": "http://openplatform.gate.io/qr/GA0cskPehKxQpshvm3Goeve8dHpwCl6yCHLSWUYrLqo=",
"location": "https://www.gate.com/cashier?prepayid=65466648727916544",
"payCurrency": "USDT",
"payAmount": "1",
"chain": {
"chain_type": "BSC",
"address": "0x86608d3C9f979b98a3b2417216eD859d313E339D",
"fullCurrType": "USDT_EOS"
},
"channelId": "123456",
"goodsName": "charge",
"inUsdt": "93.99"
}
}创建收银台预订单,指定订单金额、币种、商品信息等。
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/checkout/order \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantTradeNo": "163",
"env": {
"terminalType": "APP"
},
"merchantUserId": 123,
"goods": {
"goodsType": "02",
"goodsName": "Sipariş Ödemesi - 177",
"goodsDetail": "Sipariş No : 160"
},
"chain": "MATIC",
"fullCurrType": "USDT_MATIC"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayId": "65466648727916544",
"orderAmount": "1",
"surchargeAmount": "0",
"currency": "USDT",
"fiatCurrency": "",
"fiatAmount": "",
"terminalType": "APP",
"expireTime": 1677573665219,
"qrContent": "http://openplatform.gate.io/qr/GA0cskPehKxQpshvm3Goeve8dHpwCl6yCHLSWUYrLqo=",
"location": "https://www.gate.com/cashier?prepayid=65466648727916544",
"payCurrency": "USDT",
"payAmount": "1",
"chain": {
"chain_type": "BSC",
"address": "0x86608d3C9f979b98a3b2417216eD859d313E339D",
"fullCurrType": "USDT_EOS"
},
"channelId": "123456",
"goodsName": "charge",
"inUsdt": "93.99"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/checkout/order 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。GET /v2/pay/order/query 与支付回调一起使用。prepayId,并使用返回的 location 跳转用户,不要手动拼接页面地址。商户客户端ID
"mZ96D37oKk-HrWJc"
签名
时间戳(毫秒)
"1695611256106"
随机数
"1260554069"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。
收银台下单请求参数
商户订单号
"163"
Show child attributes
Show child attributes
支付者在商户平台注册时的唯一ID
123
所选链名字
"MATIC"
包含链名字的币种字段
"USDT_MATIC"
加密货币币种
"USDT"
加密货币订单金额,最小值0.000001,最高精度为6位
"118.75"
附加费,指由消费者承担的费用
容差金额
法币币种
法币订单金额,最小值0.01,最高精度为2位
地址支付的付款币种
订单过期绝对时间单位毫秒
订单支付成功后返回跳转地址
"https://lotkeys.com/tr/gate-payment-response"
订单支付失败后返回跳转地址
"https://lotkeys.com/tr/gate-payment-response"
客户名称
"123456"